Realtime
Create Realtime client secret
POST
Creates an ephemeral client secret for an OpenAI Realtime session. Set the model in session.model or the top-level model field.
ApiKeyAuthheader
Authorization<token>application/json- body
model?stringOhMyGPT model ID. Used when session.model is omitted.
session?[key: string]?anyThe client secret and its session configuration.
application/json- response
client_secret?[key: string]?anycurl -X POST 'https://api.ohmygpt.com/v1/realtime/client_secrets' \ -H 'Content-Type: application/json' \ -d '{}'示例响应
{ "client_secret": { "expires_at": 0, "value": "string" }}Exchange Realtime WebRTC SDP POST
Exchanges a WebRTC SDP offer for an OpenAI Realtime SDP answer. Set the model in `session.model` of the multipart `session` field, or in the `model` query parameter.
Retrieve incident GET
Returns a public incident and its update timeline when the incident is active or resolved within the last 30 days.